mutation CreateTeamHub(
  $teamId: UUID!,
  $hubName: String!,
  $departments: String
) @auth(level: USER) {
  teamHub_insert(
    data: {
      teamId: $teamId
      hubName: $hubName
      departments: $departments
    }
  )
}

mutation UpdateTeamHub(
  $id: UUID!,
  $teamId: UUID,
  $hubName: String,
  $departments: String
) @auth(level: USER) {
  teamHub_update(
    id: $id,
    data: {
      teamId: $teamId
      hubName: $hubName
      departments: $departments
    }
  )
}

mutation DeleteTeamHub(
  $id: UUID!
) @auth(level: USER) {
  teamHub_delete(id: $id)
}
